Gamification
Get Collective Points For User
Get collective points for an user based on their active subscriptions to mangoes with gamification enabled.
- Provides total scores obtained by the user for each category of points
- There are different categories of points assign by the TagMango system - dailyActive, likeOnPost, commentOnPost, messageInRoom, createPost, 10perCourseCompletion, 50perCourseCompletion, 100perCourseCompletion, attendance, signUpThroughAffiliate
:::info Custom Point Types There could be custom point types generated by other platforms using TagMango API. All of them will be returned under the response. :::
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
userId*string
Unique identifier for the subscriber
Query Parameters
types?string
Comma-separated list of types for filtering points. Could be TagMango system points or custom points.
Header Parameters
x-whitelabel-host*string
Host name of the dashboard, ex: mydomain.tagmango.com
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/gamification/points/collective/646dd0eb159d8b7a7f5a9c29" \ -H "x-whitelabel-host: string"{
"dailyActive": 110,
"likeOnPost": 100,
"commentOnPost": 200,
"messageInRoom": 100,
"createPost": 100,
"tenPercentCourseCompletion": 10,
"fiftyPercentCourseCompletion": 50,
"hundredPercentCourseCompletion": 90,
"attendance": 90
}{
"code": 400,
"type": "Bad Request",
"statusMessage": "BAD_REQUEST",
"success": false,
"message": "Invalid request",
"result": "Invalid request"
}{
"code": 401,
"type": "Unauthorized",
"statusMessage": "UNAUTHORIZED",
"message": "Invalid token",
"result": "Invalid token",
"success": false
}{
"code": 403,
"type": "Forbidden",
"statusMessage": "FORBIDDEN",
"errorCode": "WORKSHOP_MANGO_FORBIDDEN",
"message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"success": false
}{
"code": 429,
"type": "Too Many Requests",
"statusMessage": "TOO_MANY_REQUESTS",
"message": "Request limit exceeded. try after 10 seconds",
"result": "Request limit exceeded. try after 10 seconds",
"success": false
}